<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <!-- bootstrap core css -->
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.css" />

    <!-- fonts style -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap" rel="stylesheet" />

    <!-- owl carousel -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"
        integrity="sha256-UhQQ4fxEeABh4JrcmAJ1+16id/1dnlOEVCFOxDef9Lw=" crossorigin="anonymous" />
    <!-- Custom styles for this template -->
    <link href="/css/style.css" rel="stylesheet" />
    <!-- responsive style -->
    <link href="/css/responsive.css" rel="stylesheet" />
    <!-- this is for the text editor -->
    <script src="https://cdn.ckeditor.com/4.17.1/standard/ckeditor.js"></script>
    <!-- CDN FONT AWESOME -->
<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
<script src="https://kit.fontawesome.com/d65559be71.js" crossorigin="anonymous"></script>
<script src="https://unpkg.com/vue@3"></script>


</head>
<body class="sub_page">
    <div class="hero_area">
        <!-- header section strats -->
        <header class="header_section ">
            <div class="container-fluid">
                <nav class="navbar navbar-expand-lg custom_nav-container ">
                    <a class="navbar-brand" th:href="@{/}">
                        <span>
                            My class online
                        </span>
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                        <span class=""> </span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <div class="d-flex mx-auto flex-column flex-lg-row align-items-center">
                            <ul class="navbar-nav  ">
                                <li class="nav-item ">
                                    <a class="nav-link" th:href="@{/}">Home </a>
                                </li>
                                <li th:if="${#httpServletRequest.isUserInRole('ROLE_ADMIN')}" class="nav-item ">
                                  <a class="nav-link" th:href="@{/admin}">ADMIN </a>
                              </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/about}" > About</a>
                                </li>
                                <li class="nav-item active">
                                    <a class="nav-link" th:href="@{/course}">Courses <span
                                            class="sr-only">(current)</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/teacher}">Teachers</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" th:href="@{/contact}">Contact Us</a>
                                </li>
                            </ul>
                        </div>
                        <div class="quote_btn-container">
                            <a href="">
                                <span>
                                    log out
                                </span>
                                <i class="fa fa-user" aria-hidden="true"></i>
                            </a>
                            <!-- <form class="form-inline">
                                <button class="btn  my-2 my-sm-0 nav_search-btn" type="submit">
                                    <i class="fa fa-search" aria-hidden="true"></i>
                                </button>
                            </form> -->
                        </div>
                    </div>
                </nav>
            </div>
        </header>
        <!-- end header section -->

        <!-- this is profile section -->


   
<H2></H2>
<p></p>
<p></p>
        <!-- linkedin -->
        <!-- <div class="section">
            <div class="container">
              <div class="button-container">
               
                  <a style="background-color: #b90202;"class=" = btn btn default btn-round btn-lg btn-icon" th:href="${teacher.lastName}"
                  rel="tooltip" title="Follow me on Linkedin"><i class="fa fa-lg fa-linkedin"></i></a>
                </div>
            </div>
          </div> -->
           <section class="teacher_section layout_padding" style="background-color: #ffffff;">
        <div class="container">
          <div class="heading_container heading_center">
           
          </div>
    
          <div class="row">
    
            <div class="col-sm-6 col-lg-3" v-for="user in users" :key="user.userId">
              <div  class="box">
                <div class="img-box">
                    
                  <img th:src="${teacher.image}" th:alt="${teacher.firstName}">
                </div>
                <div  class="detail-box" style="background-color: #0e3746;">
                  <h5 th:text="${teacher.firstName}">
                  </h5>
                  <h6 th:text="${teacher.email}" >
                  </h6>
                
                </div>
              </div>
              
            </div>

            <div class="col-md-6">
                <div >
                  <div class="heading_container heading_center">
                      <div class="btn-box"style="background-color: transparent;
                      color: #0e3746;display: inline-block;
                      padding: 5px 45px;
                      background-color: #0e3746;
                      color: #ffffff;
                      border-radius: 0;
                      border: 1px solid #0e3746;
                      -webkit-transition: all .2s;
                      transition: all .2s;">
                    <h2 th:text="${teacher.specialization}">
                    </h2>
                 
                
                </div>

                <h4 th:text="${teacher.description}" class="heading_container heading_center"></h4>
            </div>
                </div>
              </div>
              <div  class="col-md-6">
                <div class="item">
                  <div class="box">
                      <div class="img-box ">
                          <img src="/images/addlessonslider.jpg"
                          alt="" >
                      </div>
                      <div class="btn-box"style="background-color: transparent;
                      color: #0e3746;display: inline-block;
                      padding: 5px 45px;
                      background-color: #0e3746;
                      color: #ffffff;
                      border-radius: 0;
                      border: 1px solid #0e3746;
                      -webkit-transition: all .2s;
                      transition: all .2s;">
                      
                        
                          <h4 >
                              New lesson
                          </h4>
                          <p >
                            Add a new lesson
  
                          </p>
                          <a href="/addLesson" >
                              Add a new lesson
                          </a>
                      </div>
                  </div>
              </div>
            </div>
          </div>
        </div>
      </section>

      <section>



             <!-- addlesson -->
             <div class="heading_container heading_center">

           
        </div>

              <!-- end addlesson -->
      </section>
<!-- 
    <section class="teacher_section layout_padding" style="background-color: #ffffff;">
        <div class="container">
          <div class="heading_container heading_center">
          </div>
          <div class="row">
            <div v-for="pro in profile" class="col-sm-6 col-lg-3" :key="pro.userId">
              <div class="box">
                <div class="img-box">
                    <img :src="pro.image" alt="">
                </div>
                <div class="detail-box" style="background-color: #b90202;">
                  <h5>
                    {{pro.firstName}}
                </h5>
                  <h6>
                    {{pro.email}}
                  </h6>
                </div>
              </div>
            </div>
            <div class="col-md-6">
                <div class="detail-box">
                  <div class="heading_container heading_center">
                    <h2>{{pro.specialization}}</h2>
                  </div>
                  <p class="heading_container heading_center">{{pro.description}} </p>
                </div>
              </div>
          </div>
        </div>
      </section> -->
    <!-- footer section -->

    <section class="info_section ">

        <div class="container">
          <div class="info_top ">
            <div class="row ">
    
              <div class="col-sm-6 col-md-4 col-lg-3" >
                <div class="info_detail">
                  <a href="index.html">
                    <h4>
                      My class Online
                    </h4>
                  </a>
                  <p>
                    Follow me on linkesin
                  </p>
                  <div class="social_box">
                   
                    <a href="">
                      <i class="fa fa-linkedin" aria-hidden="true"></i>
                    </a>
                   
                  </div>
                </div>
              </div>
              <div class="col-sm-6 col-md-4 col-lg-3 mx-auto">
                <h4>
                  Contact info
                </h4>
              
                <div class="contact_nav">
                
                
                  <a href="">
                    <i class="fa fa-envelope" aria-hidden="true"></i>
                    <span>
                        <h6 th:text="${teacher.email}" >
                          </h6>
                            </span>
                  </a>
                </div>
              </div>        
            </div>
          </div>
        </div>
      </section>
    <footer class="footer_section">
        <div class="container">
            <p>
                &copy; <span id="displayYear"></span> All Rights Reserved By Khaled Razouk
            </p>
        </div>
    </footer>
    <!-- footer section -->

<!-- 
    <script>
        Vue.createApp({
        data() {
            return {
              //vars from the rest controller
                profile:"",
            }
        },
        methods: {
          //method to show all teachers list
             //this method will show me the profile when i'm clicking on it
             async fetchProfile() {
              const reponse = await fetch('/api/displayProfile/{id}');
              this.profile = await reponse.json();;
            },
        }
    }).mount('#app')
    
    </script> -->
</body>

</html>